/*global $*/
/*global Toolkit*/
// Uses the operating system's own file browser to open a particular file or
// folder.

// To use, set data-open-native="path" where path is the file system path to
// open

// e.g.
// <a href="javascript:void(0);" data-open-native="/Users/james">Open</a>

(function () {
	$('[data-open-native]').live('click', function (ev) {
		ev.preventDefault();
		var path = $(this).attr('data-open-native');
		Toolkit.rpcSession.remoteCall('directory.open_in_filebrowser', {
			path: path
		});
	});
})();
