"""Defines the api callable through our RPC mechanism"""

THREAD = 10
PROCESS = 20

def expose(target):
    target.__api_isolation_level = THREAD
    return target


def run_in_process(target):
    target.__api_isolation_level = PROCESS
    return target


def isolation_level_for_target(target):
    return target.__api_isolation_level

import app, directory, auth, util, reload, plugins, watch, file, dynamic, api, invalidator, modules
