"""Helper module for finding files relative to the entrypoint

BE WARY OF UPDATING THIS FILE:

This file is built into TriggerToolkit.exe and the OSX TriggerToolkit binary.
Currently we aren't able to update those two files, which means that any logic put
in here will not make it's way to users through an update.

This file calls trigger.web.main, you can put logic in or after there instead.

The same applies to anything imported in this file!
"""
import os
import sys

# sys.frozen is set when packaged up using pyinstaller
if 'frozen' in dir(sys):
    WORKSPACE = os.path.dirname(sys.executable)
else:
    WORKSPACE = os.path.dirname(__file__)

def path(*args):
    return os.path.join(WORKSPACE, *args)
