import time
import logging

from trigger.api import expose
from forge import async
from trigger import forge_tool

LOG = logging.getLogger(__name__)

@expose
def monitor():
    call = async.current_call()

    forge_tool.singleton.remote.add_invalidator_monitor(call)

    try:
        while True:
            call.assert_not_interrupted()
            time.sleep(1)
    except Exception:
        pass
